Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::InteractorAction Class Reference

InteractorAction extend QAction to provide Interactor information. More...

`#include <Interactor.h>`

Collaboration diagram for tlp::InteractorAction:
[legend]

List of all members.

## Public Member Functions

- InteractorAction (Interactor *interactor, const QIcon &icon, const QString &text)
- Interactor * getInteractor ()

## Protected Attributes

- Interactor * interactor

## Detailed Description

InteractorAction extend QAction to provide Interactor information.

## Constructor & Destructor Documentation

tlp::InteractorAction::InteractorAction | ( | Interactor * | interactor,
|  | const QIcon & | icon,
|  | const QString & | text
| ) |  |

## Member Function Documentation

Interactor* tlp::InteractorAction::getInteractor | ( |  | ) | `[inline]`

## Member Data Documentation

Interactor* tlp::InteractorAction::interactor`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012